
Ryzom - Bug # 777

Status: Closed Priority: Normal
Author: sfb Category: Build
Created: 12/07/2009 Assignee: sfb
Updated: 11/05/2010 Due date:
Subject: CMake: CONFIGURE_FILE for 2.8 Installation Fails
Description

Developers using CMake 2.8 are encountering failures during 'make install' and 'make package' due to CONFIGURE_FILE generating
the resulting file in a different destination than 2.6 and earlier which use CMAKE_BINARY_DIR. We need to determine where this new
directory is and modify the INSTALL commands to reflect it appropriately based upon the version of CMake the user is using.

History
#1 - 12/10/2009 05:42 pm - lubos
- File cmake2.8-gen-file-path.patch added

possible solution

#2 - 09/29/2010 09:47 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build
- Target version deleted (0.8.0)

#3 - 10/16/2010 10:11 am - kervala
- Status changed from New to Resolved
- Assignee set to sfb
- Target version set to Version 0.8.0

We fixed this by adding the output dir in CONFIGURE_FILE and in INSTALL so files are copied in the right location for all CMake versions :)

#4 - 10/16/2010 10:11 am - kervala
- % Done changed from 0 to 100

#5 - 11/05/2010 04:32 pm - kervala
- Status changed from Resolved to Closed

Files
cmake2.8-gen-file-path.patch 961 Bytes 12/10/2009 lubos
